<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Validating Vulnerabilities">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Validated Vulnerabilities</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#20-vuln-validation/pushing-validated-vulns.html">Open topic with navigation</a>
        </p>
        <h1>Validated Vulnerabilities</h1>
        <p>A validated vulnerability is a vulnerability that <span class="VariablesProductName">Metasploit Pro</span> was able to successfully exploit to obtain a session on a target host. Typically, the ability to gain a session on a host target provides enough evidence to show that a vulnerability poses a real security risk. However, you can use the session to collect additional evidence, such as screenshots, system files, and password files. </p>
        <p>If Metasploit&#160;Pro is able to successfully exploit a vulnerability, the exploit status for the host will be Exploited. All vulnerabilities with a status of Exploited can be sent back to Nexpose as a validated vulnerability. </p>
        <h2>Pushing Validated Vulnerabilities Back to Nexpose</h2>
        <p>Sending validated vulnerabilities back to Nexpose is a simple one-button process. The Push Validations button is located on the Findings Window and the Vulnerabilities Page. You can use the button at either locations to send validations back to a Nexpose console. </p>
        <p>You only need to perform the push once after a wizard run. </p>
        <p class="leadin">To push validated vulnerabilities back to Nexpose: </p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Vulnerabilities</b> from the Project Tab bar. The Vulnerabilities page appears.</li>
            <li value="2">Find the <b class="UISelection">Push Exploited Vulnerabilities</b> button. This button will be available if there are validations that need to be sent to Nexpose. <br /><br /><img src="../Resources/Images/vuln-validation/vv-vulns-page-push-button-2_596x271.png" style="width: 596;height: 271;" /></li>
            <li value="3">Click the <b class="UISelection">Push Exploited Vulnerabilities</b> button. The Task Log appears and shows you when the push is complete. <br /><br /><img src="../Resources/Images/vuln-validation/vv-task-log-push_594x106.png" style="width: 594;height: 106;" /></li>
        </ol>
        <h2>Viewing Validated Vulnerabilities in Nexpose</h2>
        <p>You can identify the vulnerabilities that have been validated by Metasploit from the individual asset page. Nexpose displays a  Validated with Metasploit icon next to a validated vulnerability.  This icon indicates that the vulnerability has been successfully exploited and requires remediation. </p>
        <p class="leadin">To view a list of validated vulnerabilities in the Nexpose Console:</p>
        <ol>
            <li value="1">From your Nexpose console, click the <b class="UISelection">Assets</b> tab. </li>
            <li value="2">Click the <b class="UISelection">View assets by the sites they belong to</b> link. <br /><br /><img src="../Resources/Images/vuln-validation/vv-nx-console-sites_327x128.png" style="width: 327;height: 128;" /></li>
            <li value="3">Scroll down to the Site Listing and find the site that you imported and tested in <span class="VariablesProductName">Metasploit Pro</span>. <br /><br /><img src="../Resources/Images/vuln-validation/vv-nx-console-site-listing_555x76.png" style="width: 555;height: 76;" /></li>
            <li value="4">Open the site. The site page appears. </li>
            <li value="5">Scroll down to the Asset Listing and find the asset that has the validated vulnerability. <br /><br /><img src="../Resources/Images/vuln-validation/vv-nx-console-asset-listing_555x188.png" style="width: 555;height: 188;" /></li>
            <li value="6">Click on the asset name. The asset page appears. </li>
            <li value="7">Find the Vulnerability Listing.<br /><br /><img src="../Resources/Images/vuln-validation/vv-nx-console-vuln-listing_555x156.png" style="width: 555;height: 156;" /></li>
            <li value="8">Click on the <b class="UISelection">Exploited</b> column to sort by validated vulnerabilities. Validated vulnerabilities will appear at the top of the column. <br /><br /><img src="../Resources/Images/vuln-validation/vv-nx-console-exploit-column_566x159.png" style="width: 566;height: 159;" /></li>
        </ol>
        <h2>Searching for Validated Vulnerabilities in Nexpose</h2>
        <ol>
            <li value="1">From the home page in your Nexpose Console, scroll down to the Asset Group Listing.</li>
            <li value="2">Click the <b class="UISelection">New Dynamic Asset Group</b> button. The Filtered Asset Search page appears.<br /><br /><img src="../Resources/Images/vuln-validation/vv-nx-new-dynamic-asset-group_502x144.png" style="width: 502;height: 144;" /></li>
            <li value="3">Use the filters to create the following query: <code>validated vulnerabilities are present</code>. <br /><br /><img src="../Resources/Images/vuln-validation/vv-nx-console-filtered-search_507x85.png" style="width: 507;height: 85;" /></li>
            <li value="4">Click the <b class="UISelection">Search</b> button. The search returns a list of assets that have validated vulnerabilities. <br /><br /><img src="../Resources/Images/vuln-validation/vv-nx-console-filtered-search-results_517x205.png" style="width: 517;height: 205;" /></li>
        </ol>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="Getting Started with Vulnerability Validation |getting-started-vv.html||Nexpose Exceptions|creating-and-pushing-nexpose-exceptions.html||Tracking Real-Time Statistics and Events for Vulnerability Validation|tracking-vv-stats.html||Validating Nexpose Vulnerabilities |importing-exploiting-vulns.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>